Search found 2431 matches

by bbunge
Wed Jul 17, 2019 2:01 am
Forum: ZoneMinder 1.32.x
Topic: ZoneMinder + Raspberry Pi 4?
Replies: 19
Views: 6753

Re: ZoneMinder + Raspberry Pi 4?

1.32.3 is in deb http://www.deb-multimedia.org buster main non-free as well as the new raspbian Pi Buster repository. https://wiki.zoneminder.com/Debian_10_Buster_with_Zoneminder_1.32.3_the_Easy_Way My zoneminder.conf looked like the one at https://github.com/ZoneMinder/zoneminder/blob/master/distro...
by bbunge
Wed Jul 17, 2019 12:08 am
Forum: ZoneMinder 1.32.x
Topic: ZoneMinder + Raspberry Pi 4?
Replies: 19
Views: 6753

Re: ZoneMinder + Raspberry Pi 4?

Tested on my Pi 3B and AMD64 with Buster and Zoneminder 1.32.3. Edit zoneminder.conf nano /etc/apache2/conf-enabled/zoneminder.conf At the end of the file add: <Directory /usr/share/zoneminder/www/api> RewriteEngine on RewriteRule ^$ app/webroot/ [L] RewriteRule (.*) app/webroot/$1 [L] RewriteBase /...
by bbunge
Tue Jul 16, 2019 10:33 pm
Forum: ZoneMinder 1.32.x
Topic: ZoneMinder + Raspberry Pi 4?
Replies: 19
Views: 6753

Re: ZoneMinder + Raspberry Pi 4?

Will give it a try on the Buster AMD64 version. Thanks!
by bbunge
Tue Jul 16, 2019 10:30 pm
Forum: ZoneMinder 1.32.x
Topic: Upgrade Problem
Replies: 10
Views: 2788

Re: Upgrade Problem

Check for a version of PHP older than 7.3.
by bbunge
Tue Jul 16, 2019 6:49 pm
Forum: ZoneMinder 1.32.x
Topic: /var/tmp/zm/zmswap-m*
Replies: 2
Views: 1754

Re: /var/tmp/zm/zmswap-m*

Are you using Debian 10? I noticed today an error when installing Zoneminder on Buster: [zoneminder.conf:1] Line references path below legacy directory /var/run/, updating /var/run/zm → /run/zm; please update the tmpfiles.d/ drop-in file accordingly. I am not exactly sure what to add where. The Debi...
by bbunge
Tue Jul 16, 2019 6:46 pm
Forum: ZoneMinder 1.32.x
Topic: ZoneMinder + Raspberry Pi 4?
Replies: 19
Views: 6753

Re: ZoneMinder + Raspberry Pi 4?

The zoneminder.conf in Debian 10 seems to lack what you are talking about. The .htaccess file adds work. What needs to be added to this file? ######################## # # Remember to enable cgi mod and serve-cgi-bin.conf configuration # # a2enmod cgi # a2enconf serve-cgi-bin.conf # #################...
by bbunge
Tue Jul 16, 2019 12:15 pm
Forum: ZoneMinder 1.32.x
Topic: ZoneMinder + Raspberry Pi 4?
Replies: 19
Views: 6753

Re: ZoneMinder + Raspberry Pi 4?

I have Zoneminder running on my Pi 4 with 4gb ram. Storage is on a NAS vs the SD or USB but that shouldn't be a problem. There are some tricks to getting the API to work (.htaccess files seem to not be generated/installed) and I can't get event notification working right but I have 5 Amcrest cams b...
by bbunge
Mon Jul 15, 2019 10:27 pm
Forum: ZoneMinder 1.32.x
Topic: Can't have more than 5 monitors active?
Replies: 2
Views: 1604

Re: Can't have more than 5 monitors active?

You are out of memory in tmpfs AKA /dev/shm. With a Pi you should feel lucky to get one camera to run.

Also, set Zoneminder to capture .jpgs and turn off video storage.

And your API will not work as there is a problem with Buster that has not been solved...yet.
by bbunge
Mon Jul 15, 2019 4:30 pm
Forum: ZoneMinder 1.32.x
Topic: Upgrading 1.30.2 to 1.32.3 on U18.04
Replies: 16
Views: 4890

Re: Upgrading 1.30.2 to 1.32.3 on U18.04

No, your system should work without any mount changes. If it works under 1.30.x it will work under 1.32.x Oh, Using a systemd mount is safer than fstab mount as you can control Zoneminder to start after all the mounts are verified. https://wiki.zoneminder.com/Common_Issues_with_Zoneminder_Installati...
by bbunge
Mon Jul 15, 2019 1:13 am
Forum: ZoneMinder 1.32.x
Topic: Upgrading 1.30.2 to 1.32.3 on U18.04
Replies: 16
Views: 4890

Re: Upgrading 1.30.2 to 1.32.3 on U18.04

'Remove the old PPA first'. Great tip! The upgrade script, will it automatically unwind the overlay mount thingamajig? Or am I going to have to do that manually before I start the new version? Not sure what you mean by "overlay mount thingamajig" and don't think there is a script involved. Doing an...
by bbunge
Sun Jul 14, 2019 6:36 pm
Forum: ZoneMinder 1.32.x
Topic: Upgrading 1.30.2 to 1.32.3 on U18.04
Replies: 16
Views: 4890

Re: Upgrading 1.30.2 to 1.32.3 on U18.04

Run the upgrade from a command line and stop Zoneminder first: service zoneminder stop

Since Ubuntu 18.04 did not have Zoneminder in its release make sure you remove any prior PPA.
by bbunge
Sun Jul 14, 2019 12:45 am
Forum: ZoneMinder 1.32.x
Topic: Adding cameras
Replies: 4
Views: 2728

Re: Adding cameras

Instructions for mounting external drive: https://wiki.zoneminder.com/Common_Issues_with_Zoneminder_Installation_on_Ubuntu#Use_Systemd_to_Mount_Internal_Drive_or_NAS Will work for Debian as well as Ubuntu. As for the Zoneminder setup on the pi search this forum. I posted an install procedure a week ...
by bbunge
Sun Jul 14, 2019 12:40 am
Forum: ZoneMinder 1.32.x
Topic: API validation question
Replies: 3
Views: 1348

Re: API validation question

Since your API works you need to take your question to the ZmNinja area of the forum.
by bbunge
Sun Jul 14, 2019 12:39 am
Forum: ZoneMinder 1.32.x
Topic: [SOLVED] 404 RTSP
Replies: 4
Views: 2289

Re: 404 RTSP

Likely in doing the upgrade to Bionic you ended up with two versions of PHP. Bionic uses PHP 7.2 so you need to uninstall the older version.